Retrieve payment status for an invoice.

Get the current status of a payment initiated via a payment link. This returns a value used to verify if the payment has been completed and is necessary for follow-up calls, such as when receiving Swish payments.

Billing & Payments Payments

Context

Used in the dashboard

/billing/pay/[uuid]

Path Parameters

uuid string required Example: 56826cb4-0932-4021-abeb-6158ea6f0d69

UUID for uuid

Query Parameters

paymentId string required · Example: D4B2AFACBE474040861DB51FA39C4A3C

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.datePaid string · nullable · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.errorCode string · nullable · Example: null

Nullable: may be null when not applicable.

data.errorMessage string · nullable · Example: null

Nullable: may be null when not applicable.

data.message string · Example: Payment completed

Human-readable message.

data.paymentReference string · nullable · Example: 4FE44EFCF15B4F9E9C7ABB0672A05138

Nullable: may be null when not applicable.

data.status string · enum required · Example: CREATED
CREATED
PAID
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/billing/payment-link/{uuid}/pay
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/billing/payment-link/56826cb4-0932-4021-abeb-6158ea6f0d69/pay?paymentId=D4B2AFACBE474040861DB51FA39C4A3C" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "status": "CREATED",
    "paymentReference": null,
    "datePaid": null,
    "errorCode": null,
    "errorMessage": null
  }
}